## Update Debit Line Item

### cURL

```
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "productId": "<string>",\n  "accountingProductId": "<string>",\n  "description": "<string>",\n  "amount": 1,\n  "referencedBillId": "<string>",\n  "referencedLineItemId": "<string>",\n  "servicePeriodStartDate": "2023-11-07T05:31:56Z",\n  "servicePeriodEndDate": "2023-11-07T05:31:56Z",\n  "version": 123,\n  "reasonId": "<string>",\n  "amountToApplyOnBill": 123,\n  "debitReasonId": "<string>"\n}\n'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems/{id}"

payload = {
    "productId": "<string>",
    "accountingProductId": "<string>",
    "description": "<string>",
    "amount": 1,
    "referencedBillId": "<string>",
    "referencedLineItemId": "<string>",
    "servicePeriodStartDate": "2023-11-07T05:31:56Z",
    "servicePeriodEndDate": "2023-11-07T05:31:56Z",
    "version": 123,
    "reasonId": "<string>",
    "amountToApplyOnBill": 123,
    "debitReasonId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    productId: '<string>',
    accountingProductId: '<string>',
    description: '<string>',
    amount: 1,
    referencedBillId: '<string>',
    referencedLineItemId: '<string>',
    servicePeriodStartDate: '2023-11-07T05:31:56Z',
    servicePeriodEndDate: '2023-11-07T05:31:56Z',
    version: 123,
    reasonId: '<string>',
    amountToApplyOnBill: 123,
    debitReasonId: '<string>'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'productId' => '<string>',
    'accountingProductId' => '<string>',
    'description' => '<string>',
    'amount' => 1,
    'referencedBillId' => '<string>',
    'referencedLineItemId' => '<string>',
    'servicePeriodStartDate' => '2023-11-07T05:31:56Z',
    'servicePeriodEndDate' => '2023-11-07T05:31:56Z',
    'version' => 123,
    'reasonId' => '<string>',
    'amountToApplyOnBill' => 123,
    'debitReasonId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Response Structure

```json
{
  "id": "<string>",
  "version": 123,
  "productId": "<string>",
  "description": "<string>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "referencedBillId": "<string>",
  "referencedLineItemId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "amount": 123,
  "debitReasonId": "<string>"
}
```

#### Errors

```json
{
  "message": "<string>"
}
```
